@prefix : <http://ns.mnemotix.com/ontologies/indexing-model/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix xml: <http://www.w3.org/XML/1998/namespace> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@base <http://ns.mnemotix.com/ontologies/indexing-model/> .

<http://ns.mnemotix.com/ontologies/indexing-model/> rdf:type owl:Ontology ;
                                                     owl:versionIRI <http://ns.mnemotix.com/ontologies/indexing-model/1.0> .

#################################################################
#    Object Properties
#################################################################

###  http://ns.mnemotix.com/ontologies/indexing-model/field
:field rdf:type owl:ObjectProperty ;
       rdfs:domain :IndexingModel ;
       rdfs:range :IndexingField ;
       rdfs:comment "Propriété qui relie un IndexingModel à ses IndexingFields" .


###  http://ns.mnemotix.com/ontologies/indexing-model/indexingModelOf
:indexingModelOf rdf:type owl:ObjectProperty ;
                 rdfs:domain :IndexingModel ;
                 rdfs:comment "Propriété qui rattache un IndexingModel à la classe RDFS à indexer." .


###  http://ns.mnemotix.com/ontologies/indexing-model/prefix
:prefix rdf:type owl:ObjectProperty ;
        rdfs:domain :IndexingModel ;
        rdfs:comment "Relation vers un blank node pour porter les informations liées à un préfixe SPARQL" .


###  http://ns.mnemotix.com/ontologies/indexing-model/subfield
:subfield rdf:type owl:ObjectProperty ;
          rdfs:domain :IndexingField ;
          rdfs:range :IndexingField ;
          rdfs:comment """Permet de rajouter un niveau de profondeur dans l'indexation.
Note : il est impossible de faire des subfields à partir d'un subfield. Seul un niveau de profondeur est autorisé.""" .


#################################################################
#    Data properties
#################################################################

###  http://ns.mnemotix.com/ontologies/indexing-model/analyzed
:analyzed rdf:type owl:DatatypeProperty ;
          rdfs:domain :IndexingField ;
          rdfs:range xsd:boolean ;
          rdfs:comment "Propriété booléenne qui précise si le champ doit être analysé ou non dans ES." .


###  http://ns.mnemotix.com/ontologies/indexing-model/analyzer
:analyzer rdf:type owl:DatatypeProperty ;
          rdfs:domain :IndexingField ;
          rdfs:range xsd:string ;
          rdfs:comment "Permet d'indiquer un analyzer ES autre que celui par défaut." .


###  http://ns.mnemotix.com/ontologies/indexing-model/dataPath
:dataPath rdf:type owl:DatatypeProperty ;
          rdfs:domain :IndexingField ;
          rdfs:range xsd:string ;
          rdfs:comment "Indique le property path à requêter pour retrouver la valeur du champ." .


###  http://ns.mnemotix.com/ontologies/indexing-model/filterDeleted
:filterDeleted rdf:type owl:DatatypeProperty ;
               rdfs:domain :IndexingField ;
               rdfs:range xsd:boolean ;
               rdfs:comment "Propriété qui indique si les instances de ce champ doivent être filtrées si elles ont été préalablement supprimées." .


###  http://ns.mnemotix.com/ontologies/indexing-model/ignore_above
:ignore_above rdf:type owl:DatatypeProperty ;
              rdfs:domain :IndexingField ;
              rdfs:range xsd:integer .


###  http://ns.mnemotix.com/ontologies/indexing-model/multivalued
:multivalued rdf:type owl:DatatypeProperty ;
             rdfs:domain :IndexingField ;
             rdfs:range xsd:boolean ;
             rdfs:comment "Propriété qui indique si le champ doit contenir une valeur unique ou s'il est multi-valué." .


###  http://ns.mnemotix.com/ontologies/indexing-model/optional
:optional rdf:type owl:DatatypeProperty ;
          rdfs:domain :IndexingField ;
          rdfs:range xsd:boolean ;
          rdfs:comment "Propriété qui indique si ce champ est optionnel." .


###  http://ns.mnemotix.com/ontologies/indexing-model/value
:value rdf:type owl:DatatypeProperty ;
       rdfs:range xsd:string ;
       rdfs:comment "URI d'un prefixe." .


#################################################################
#    Classes
#################################################################

###  http://ns.mnemotix.com/ontologies/indexing-model/IndexingField
:IndexingField rdf:type owl:Class ;
               rdfs:comment "Classe utilisée pour porter les métadonnées d'indexation pour un champ ElasticSearch" ;
               rdfs:label "IndexingField" .


###  http://ns.mnemotix.com/ontologies/indexing-model/IndexingModel
:IndexingModel rdf:type owl:Class ;
               rdfs:comment "Classe utilisée pour porter les métadonnées liées à l'indexation d'une classe RDFS/OWL." ;
               rdfs:label "IndexingModel" .


###  Generated by the OWL API (version 4.5.9.2019-02-01T07:24:44Z) https://github.com/owlcs/owlapi
